Setup

Setup / Running HttpTracer

HttpTracer runs as a local proxy server running on your client workstation.

Users also have the option of downloading ipInterceptor, which uses WinPCap to trace IP packets without the need for changing any Proxy Settings. ipInterceptor is available at http://www.lazydogutilities.com

ipInterceptor 2.x is a completely re-written version of this program. It has been re-architected from the ground up. Earlier versions had performance and lockup problems that have all been fixed.

You will need to use ipInterceptor instead of HttpTracer under the following circumstances:
  1. You don't want set your browser to use a local proxy.
  2. You are tracing a web application that uses NT Challange Response Security. HttpTracer does not support this security model.
To run HttpTracer, you will need to:
  1. Start (double click) httptracer.exe on your workstation.
  2. Configure your browser to USE PROXY SERVER.
  3. Set your browser to use address 127.0.0.1 and port 8010 as your Proxy Server. (see image below)
  4. It is a good idea to clear you cache, before you start browsing. This will give you more accurate traces.
  5. You are now ready to start browsing. You can use different HttpTracer Tabs to see the requests and responses.
  6. Important: When you are done tracing, or if you shut HttpTracer down, you will set your browser back to its original settings, or your browser will not work.

For Microsoft Internet Explorer:
  1. Start the browser and select: Tools / Internet Options / Connect and then click the Connection tab.
  2. If you are using a Dialup Connect, select the dialup setting you are using and click Settings...
  3. If you have a direct Lan Connection (DSL, Cable Modem or other network connection), select Lan Settings.
  4. If Use Proxy Server is already enabled, make note of the Address and Port. You will need these settings in order to set your browser back to the original settings when done.
  5. Enter 127.0.0.1 for Address and 8010 for Port.
  6. Click OK
  7. Note: if your Connection Settings are grayed out, then someone has disabled access to these browser settings in your registry. You should contact your LAN administrators and request access to these settings.
  8. If HTTP 1.1 is enabled, you should set it to use a PROXY CONNECTION or disable it (under the advanced tab).

In some circumstances, you will want to enter the original Proxy Address (from your IE or Netscape configuration) into HttpTracer Proxy Address and Port. This will tell HttpTracer to route through the existing Proxy. You must click APPLY after making these setting changes. Try running without these settings and see if it works. If not make the Proxy settings for HttpTracer.

For Netscape:
  1. Start the browser and select: Edit / Preferences expand the Advanced item in the tree and select Proxies.
  2. Select Manual Settings checkbox and then click the View button.
  3. Make note of the Address and Port for HTTP. You will need these settings in order to set your browser back to the original settings when done.
  4. Set the HTTP address to 127.0.0.1 and port to 8010. Note: you can also use 127.0.0.1 or your host machine name for the address.
  5. Click OK to save your changes.

After you are done using HttpTracer, you will need to set your Browser Proxy settings back to thier original settings (or your Browser will not function).

Now when you run your browser, all Http Commands and Responses will be captured by HttpTracer. The List Tab is the most usefull of the tabs. Remember to click Refresh to refresh the listing. Make sure that HttpTracer is running, or your browser will not be able to connect to the internet. Turn off Proxy settings when done tracing!!!


HttpTracer Functionality

Functionality

HttpTracer allows you to see all HTTP requests coming from your browser and the web server responses.

Request Tab

The Request Viewer tab shows you all HTTP Commands as they are sent by your browser. Note: the viewer window is updated every 3 seconds. You can freeze it by clicking the Freeze checkbox.

Response Tab

The Response Viewer tab shows you all responses sent by the web server to your browser. Note: the viewer window is updated every 3 seconds. You can freeze it by clicking the Freeze checkbox.

Detail Tab

The Detail Tab it probably the most usefull dialog in HttpTracer. It shows all browser requests and the web server's respective responses. Each response is tied back to the specific request that generated the response. Note: the other trace dialogs (Response and Request) show the responses and requests as they go through the system. Since your browser is multi-threaded, it is often difficult to match a response to a request. The List Tab does this for you.

Important!!! The Detail Tab does not automatically refresh. You need to hit the Refresh button in order to refresh the list.

What does the Detail Tab show?

  • Verb / Response. The first line of the request or response. The red arrow indicates a browser request. The green arrow indicates a server response. Note: usually a response from the web server will come in multiple parts. You can see the entire response by selecting a set of responses (using the shift key) and hitting Show.
  • Conversation Id. HttpTracer assigns a number for each response/request combination.
  • Bytes. The number of bytes (sent or recieved).
  • Time/Connect. This number shows the seconds it took to connect to the host server.
  • Time/Retrieve. This number shows the seconds it took to retrieve data from the host server.
  • Time/Total. This number shows the total time to start the request and retrieve all data. Note: the other time will not always add up exactly. The previous 2 numbers do not include the time it took for the browser to send the request to HttpTracer.
  • Response Time. This number is the response time in seconds. Response Lines (green arrows) show the response time for that line. Request Lines (red arrows) show the response time from when the request started to the time that the last part of the response completed. Note: you might see some large response times (20 or 30 seconds) that don't seem correct. This occurrs because a socket was opened, held open and eventually timed out. The timeout generates a close socket (which is a response and gets counted as such.)

How do I see the full text of the request/response?

Select (or multi-select) an item or set of items, and click Show. You can see a complete conversation (request and response) using multi-select and Show.

What does the Fix Carriage Returns check box do?

Carriage returns come in two flavors. UNIX and Microsoft Windows each have a different character string for handling end-of-line strings. If you see a whole bunch of | symbols and the output (in the right hand window) is hard to read, click this check box, and HttpTracer will scan and replace UNIX end-of-line strings with Windows end-of-line strings. Note: the scan and replace can be time consumming, so you might want to leave it off unless you need it.

Log File

You can save your traces to a log file using the SAVE AND CLEAR button. Two files will be generated. One file will contain trace statistics in a CSV file. The other file will contain the actual requests and responses.

Log and Clear Data

You can clear the data out of the HttpTracer buffer area. This will make it easier to view your traces. Note: HttpTracer will automatically clear out old data in order to stay below the Max Data setting.

Why do some responses say - X bytes of data?

HttpTracer writes out this message to indicate that the data is not a content type that it understands or can display as normal ASCII data. Usually it is binary data or encrypted data (or data that only an application can interpret). Future versions MAY allow the user to set the content types that will be displayed.

Auto Log

HttpTracer can be set to automatically write log trace files whenever there is more data in the buffer than defined by the Max Data setting.


Register Shareware

Register HttpTracer

HttpTracer is shareware and can be run for 30 days for evaluation.

You can purchase a registration key by emailing a request to: support@lazydogutilities.com

Or go to: http://www.lazydogutilities.com formerly Superior Software Tools

Online registration is available at: https://www.regnow.com/softsell/nph-softsell.cgi?item=3046-3

Registration price is $25 per user. EMAIL to request pricing on site licensing.